﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace SfTextBoxDelimiter
{
    public class CustomClass : ICommand
    {
        public Action<object> _action;
        public Predicate<object> _predicate;

        public CustomClass(Predicate<object> predicate, Action<object> action)
        {
            _action = action;
            _predicate = predicate;
        }
        public bool CanExecute(object parameter)
        {
            if (_predicate != null)
            {
                return _predicate(parameter);
            }
            else
            {
                return true;
            }

          
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            if (_action != null)
            {
                _action(parameter);

            }
        
        }
        
        public void raiseEvent()
        {
            if (CanExecuteChanged != null)
            {
                this.CanExecuteChanged(this, EventArgs.Empty);
            }
        }
    }
}

